import Vue from 'vue'
import Vuex from 'vuex'
import ui from './ui' // 导入ui模块

Vue.use(Vuex)

const store = new Vuex.Store({
  strict: process.env.NODE_ENV !== 'production', // 在非生产环境下，使用严格模式
  state: {},
  modules: {
    ui
  }
})

export default store
